%define modname radius
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A13_%{modname}.ini

Summary:	Radius client library for PHP
Name:		php-%{modname}
Version:	1.3.0
Release:	%mkrel 1
Group:		Development/PHP
License:	BSD
URL:		http://pecl.php.net/package/radius
Source0:	http://pecl.php.net/get/radius-%{version}.tgz
Source1:	%{modname}.ini
BuildRequires:	php-devel >= 3:5.2.0
Epoch:		1
%global __requires_exclude_from ^%{_docdir}

%description
This package is based on the libradius of FreeBSD, with some modifications and
extensions. This PECL provides full support for RADIUS authentication (RFC
2865) and RADIUS accounting (RFC 2866), works on Unix and on Windows. Its an
easy way to authenticate your users against the user-database of your OS (for
example against Windows Active-Directory via IAS). 

%prep

%setup -q -n %{modname}-%{version}

cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} 

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%files 
%doc examples CREDITS radius.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Wed Mar 09 2016 oden <oden> 1:1.3.0-1.mga6
+ Revision: 988470
- 1.3.0

* Fri Feb 12 2016 umeabot <umeabot> 1:1.2.7-9.mga6
+ Revision: 958437
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.2.7-8.mga5
+ Revision: 745819
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 1:1.2.7-7.mga5
+ Revision: 736439
- add excludes

* Wed Oct 01 2014 tv <tv> 1:1.2.7-6.mga5
+ Revision: 734241
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1:1.2.7-5.mga5
+ Revision: 687540
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:1.2.7-4.mga5
+ Revision: 616579
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:1.2.7-3.mga4
+ Revision: 567638
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1:1.2.7-2.mga4
+ Revision: 528892
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 oden <oden> 1:1.2.7-1.mga4
+ Revision: 448047
- 1.2.7 (security fix)

* Mon Jun 24 2013 oden <oden> 1:1.2.6-1.mga4
+ Revision: 446196
- 1.2.6

* Thu Jun 13 2013 oden <oden> 1:1.2.5-28.mga4
+ Revision: 442692
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:1.2.5-27.mga3
+ Revision: 393315
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:1.2.5-26.mga3
+ Revision: 377535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 spuhler <spuhler> 1:1.2.5-25.mga3
+ Revision: 329262
- bumped rel for rebuild against new php-devel

* Sun Jul 15 2012 spuhler <spuhler> 1:1.2.5-24.mga3
+ Revision: 270831
- Rebuilt for php-5.4

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:1.2.5-23.mga2
+ Revision: 223931
- httpd restart is handled by filetriggers now

  + spuhler <spuhler>
    - removed buildroot definition from .spec

* Sun Jan 30 2011 spuhler <spuhler> 1:1.2.5-22.mga1
+ Revision: 44485
- imported package php-radius

